Bug 426828 - Review Request: perl-XML-Generator-DBI - Generate SAX events from SQL queries
Review Request: perl-XML-Generator-DBI - Generate SAX events from SQL queries
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-26 20:29 EST by Xavier Bachelot
Modified: 2007-12-28 17:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-28 17:30:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2007-12-26 20:29:04 EST
Spec URL: http://washington.kelkoo.net/fedora/SPECS/perl-XML-Generator-DBI.spec
SRPM URL: http://washington.kelkoo.net/fedora/SRPMS/perl-XML-Generator-DBI-1.00-2.fc8.src.rpm
Description: This module generates SAX events from SQL queries against a DBI connection.
Comment 1 Parag AN(पराग) 2007-12-26 22:47:06 EST
you have missing BRs in package. Check make test failed so does make build
Comment 3 Parag AN(पराग) 2007-12-27 22:28:29 EST
+ package builds in mock (rawhide).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
fff6dad098bfa66a587066e3afb3664e  XML-Generator-DBI-1.00.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test output is
All tests successful.
Files=6, Tests=28,  6 wallclock secs ( 1.08 cusr +  0.09 csys =  1.17 CPU)

+ Package  perl-XML-Generator-DBI-1.00-3.fc9 ->
  Provides: perl(XML::Generator::DBI) = 1.00
  Requires: perl(MIME::Base64) perl(XML::SAX::Base) perl(strict) perl(vars) 

Comment 4 Xavier Bachelot 2007-12-28 05:58:39 EST
Thx for the review Parag.

New Package CVS Request
Package Name: perl-XML-Generator-DBI
Short Description: Generate SAX events from SQL queries
Owners: xavierb
Branches: F-8
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-12-28 12:44:41 EST
cvs done.
Comment 6 Xavier Bachelot 2007-12-28 17:30:06 EST
Thx Kevin.

Imported and built for devel and F-8.

Note You need to log in before you can comment on or make changes to this bug.